import{jsxs as i,jsx as e,Fragment as o}from"react/jsx-runtime";import{undo as n,redo as c,format_bold as t,format_italics as r,format_list_bulleted as l,format_list_numbered as s,code as a,format_align_left as d,format_align_center as u,format_align_right as g,table_chart as m,format_clear as f}from"@equinor/eds-icons";import{tokens as h}from"../../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{useCurrentEditor as v}from"@tiptap/react";import{RichTextEditorFeatures as p}from"../RichTextEditor.types.js";import A from"./AddImage.js";import k from"./Links.js";import{Section as b}from"./MenuBar.styles.js";import C from"./MenuButton.js";import x from"./TableBar.js";import T from"./TextColor.js";import{amplify_h2 as I,amplify_h3 as _}from"../../../Icons/AmplifyIcons.js";import w from"styled-components";const{colors:L,spacings:j}=h,E=w.div`
  display: flex;
  flex-direction: column;
`,B=w.div`
  display: flex;
  flex-wrap: wrap;
  gap: ${j.comfortable.small};
  padding: ${j.comfortable.small};
  border-bottom: 1px solid ${L.ui.background__medium.rgba};
`,R=w.hr`
  width: 1px;
  background: ${L.ui.background__medium.rgba};
`,M=({features:h,onImageUpload:w})=>{const{editor:j}=v();if(!j)throw new Error("Couldn't find tiptap editor context!");return i(E,{children:[i(B,{children:[h.includes(p.HISTORY)&&i(b,{children:[e(C,{icon:n,onClick:()=>j.chain().focus().undo().run(),disabled:!j.can().undo()}),e(C,{icon:c,onClick:()=>j.chain().focus().redo().run(),disabled:!j.can().redo()})]}),h.includes(p.FORMATTING)&&i(b,{children:[e(C,{active:j.isActive("bold"),icon:t,onClick:()=>j.chain().focus().toggleBold().run()}),e(C,{active:j.isActive("italic"),icon:r,onClick:()=>j.chain().focus().toggleItalic().run()})]}),h.includes(p.HEADERS)&&i(b,{children:[e(C,{active:j.isActive("heading",{level:2}),icon:I,onClick:()=>j.chain().focus().toggleHeading({level:2}).run()}),e(C,{active:j.isActive("heading",{level:3}),icon:_,onClick:()=>j.chain().focus().toggleHeading({level:3}).run()})]}),h.includes(p.LISTS)&&i(b,{children:[e(C,{active:j.isActive("bulletList"),icon:l,onClick:()=>j.chain().focus().toggleBulletList().run()}),e(C,{active:j.isActive("orderedList"),icon:s,onClick:()=>j.chain().focus().toggleOrderedList().run()})]}),h.includes(p.TEXT_COLOR)&&e(T,{}),h.includes(p.CODE)&&e(C,{active:j.isActive("codeBlock"),icon:a,onClick:()=>j.chain().focus().toggleCodeBlock().run()}),h.includes(p.ALIGNMENT)&&i(b,{children:[e(C,{active:j.isActive({textAlign:"left"}),icon:d,onClick:()=>j.chain().focus().setTextAlign("left").run()}),e(C,{active:j.isActive({textAlign:"center"}),icon:u,onClick:()=>j.chain().focus().setTextAlign("center").run()}),e(C,{active:j.isActive({textAlign:"right"}),icon:g,onClick:()=>j.chain().focus().setTextAlign("right").run()})]}),h.includes(p.LINKS)&&e(k,{}),h.includes(p.IMAGES)&&w&&e(A,{onImageUpload:w}),h.includes(p.TABLE)&&!j.isActive("table")&&e(C,{icon:m,onClick:()=>{j.chain().focus().insertTable({rows:1,cols:3,withHeaderRow:!1}).run()}}),h.includes(p.CLEAR_FORMATTING)&&i(o,{children:[e(R,{}),e(C,{icon:f,onClick:()=>j.chain().focus().clearNodes().unsetAllMarks().run(),customColors:{resting:L.interactive.warning__resting.rgba,hover:L.interactive.warning__hover.rgba,backgroundHover:L.ui.background__warning.rgba}})]})]}),j.isActive("table")&&e(x,{})]})};export{M as default};
