import{Button as e}from"@equinor/eds-core-react";import{tokens as i}from"../../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{spacings as r}from"../../../../style/spacings.js";import d from"styled-components";const{colors:t,shape:o}=i,n=d.div`
  border-bottom: 1px solid ${t.ui.background__light.rgba};
  display: flex;
  flex-direction: column;

  padding: ${r.small} ${r.medium} ${r.medium}
    ${r.medium};
  > p {
    margin-left: ${r.small};
  }
`,a=d.div`
  display: flex;
  align-items: flex-start;
  > p {
    text-align: center;
  }
`,l=d.div`
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding-top: ${r.small};
  justify-items: center;
  gap: ${r.small};
`,s=d.div`
  > div {
    display: grid;
    grid-template-columns: 1fr 24px;
    justify-content: space-between;
    width: 100%;
  }
  &:hover {
    background: ${t.interactive.primary__selected_hover.rgba};
    cursor: pointer;
  }
  border-top: 1px solid ${t.ui.background__light.rgba};
  outline: none !important;
  padding: ${r.medium};
  svg {
    align-self: center;
  }
`,m=d.div`
  display: flex;
  flex-direction: column;
  > h6 {
    text-transform: capitalize;
  }
`,p=d.div`
  display: flex;
  padding: ${r.medium};
`,c=d.div`
  display: flex;
  padding: ${r.large};
  align-items: center;
  grid-column: span 3;
`,g=d.div`
  display: flex;
  width: 100%;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  background: ${({$isSelected:e})=>e?t.interactive.primary__selected_highlight.rgba:"none"};
  border-radius: ${o.corners.borderRadius};
  &:hover {
    background: ${t.interactive.primary__hover_alt.rgba};
    border-radius: ${o.corners.borderRadius};
  }
`,u=d(e)`
  height: 96px;

  > span {
    display: flex;
    flex-direction: column;
  }
`;export{g as ApplicationBox,u as ApplicationButton,l as ApplicationContent,a as ApplicationName,c as LoadingApplications,s as MenuFixedItem,n as MenuSection,p as NoApplications,m as TextContainer};
