import type { Tutorial } from '../models/Tutorial';
import type { CancelablePromise } from '../core/CancelablePromise';
export declare class TutorialService {
    /**
     * Gets all tutorials for Application
     * @param applicationName
     * @returns Tutorial Success
     * @throws ApiError
     */
    static getTutorialsForApplication(applicationName: string): CancelablePromise<Array<Tutorial>>;
    static getTutorialSasToken(): CancelablePromise<string>;
}
