import { ForwardRefExoticComponent, RefAttributes } from 'react';
import { AppIconProps } from '../../../types';
export type ApplicationName = 'acquire' | '4dinsight' | 'recap' | 'dasha' | 'orca' | 'portal' | 'logging-qualification' | 'pwex' | 'inpress' | 'bravos' | 'premo';
export interface ApplicationIconProps extends Partial<AppIconProps> {
    name: ApplicationName | string;
}
declare const ApplicationIcon: ForwardRefExoticComponent<ApplicationIconProps & RefAttributes<HTMLDivElement>>;
export default ApplicationIcon;
