import { FC } from 'react';
import { FileRejection, FileWithPath } from 'react-dropzone';
interface ImageFileProps {
    onDelete: () => void;
}
interface RejectionImageFileProps extends ImageFileProps, FileRejection {
    error: true;
}
interface SuccessImageFileProps extends ImageFileProps {
    file: FileWithPath;
    error?: false;
}
declare const ImageFile: FC<RejectionImageFileProps | SuccessImageFileProps>;
export default ImageFile;
