import { FC, MutableRefObject, ReactElement, ReactNode } from 'react';
import { tutorialOptions } from 'src/components/Navigation/TopBar/Resources/Tutorials/TutorialInfoDialog';
export interface ResourcesProps {
    field?: string;
    hideFeedback?: boolean;
    hideReleaseNotes?: boolean;
    hideLearnMore?: boolean;
    children?: ReactNode;
    showTutorials?: boolean;
    tutorialOptions?: tutorialOptions[];
    customButton?: (ref: MutableRefObject<HTMLButtonElement | null>, onToggle: () => void) => ReactElement;
}
export declare const Resources: FC<ResourcesProps>;
