import { FC, ReactNode } from 'react';
interface TutorialContextState {
    tutorialStep: string;
    setTutorialStep: (val: string) => void;
    showTutorialIntro: boolean;
    setShowTutorialIntro: (val: boolean) => void;
}
export declare const useTutorialSteps: () => TutorialContextState;
declare const TutorialStepsProvider: FC<{
    children: ReactNode;
    startOpen?: boolean;
}>;
export default TutorialStepsProvider;
