import { HTMLAttributes, ReactNode } from 'react';
import { CSSObject } from 'styled-components';
type StackProps = {
    direction?: CSSObject['flexDirection'];
    align?: CSSObject['alignItems'];
    children: ReactNode;
} & HTMLAttributes<HTMLDivElement>;
export declare const Stack: ({ children, direction, align, ...rest }: StackProps) => import("react/jsx-runtime").JSX.Element;
export {};
