import{jsxs as e,jsx as i,Fragment as r}from"react/jsx-runtime";import{forwardRef as t,useState as o,useRef as n,useMemo as a}from"react";import{Typography as l,Icon as d,Search as c}from"@equinor/eds-core-react";import{platform as s,arrow_drop_up as m,arrow_drop_down as u,check as p,exit_to_app as h}from"@equinor/eds-icons";import{tokens as g}from"../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{TopBarButton as f}from"./TopBar.styles.js";import v from"./TopBarMenu.js";import{spacings as _}from"../../../style/spacings.js";import b from"styled-components";import{useOutsideClick as x}from"../../../node_modules/@equinor/eds-utils/dist/esm/hooks/useOutsideClick.js";const{colors:$}=g,y=b.div`
  display: flex;
  flex-direction: column;

  padding: ${_.medium_small} ${_.medium};
  div[role='search'] {
    > div {
      outline: none !important;
    }
    input {
      color: ${$.text.static_icons__default.rgba};
    }
    input:focus {
      box-shadow: inset 0 -2px 0 0 ${$.interactive.primary__resting.rgba};
    }
  }
`,k=b(l)`
  margin: 0 auto ${_.medium};
`,w=b.div`
  max-height: 25vh;
  display: flex;
  flex-direction: column;
  overflow-y: auto;
`,C=b.div`
  &:hover {
    background: ${$.interactive.primary__selected_hover.rgba};
    cursor: pointer;
  }
  border-top: 1px solid ${$.ui.background__light.rgba};
  outline: none !important;
  padding: ${_.medium} ${_.large};
`,j=b.div`
  ${e=>e.$active&&`background: ${$.interactive.primary__selected_highlight.rgba};\n    `};
  > div {
    display: grid;
    grid-template-columns: 1fr 24px;
    justify-content: space-between;
    width: 100%;
  }
  &:hover {
    background: ${$.interactive.primary__selected_hover.rgba};
    cursor: pointer;
  }
  border-top: 1px solid ${$.ui.background__light.rgba};
  outline: none !important;
  padding: ${_.medium} ${_.large};
  svg {
    align-self: center;
  }
`,L=b.div`
  border-bottom: 1px solid ${$.ui.background__light.rgba};
  display: flex;
  flex-direction: column;
  > p {
    margin-left: ${_.large};
    margin-bottom: ${_.small};
  }
`,S=b.div`
  padding-top: ${_.small};
  display: flex;
  align-items: center;
  padding-bottom: ${_.xxx_large};
`,q=b.div`
  display: flex;
  flex-direction: column;
  > h6 {
    text-transform: capitalize;
  }
`,F=t((({currentField:t,availableFields:g,onSelect:_,showAccessITLink:b=!0},F)=>{const[z,T]=o(!1),A=n(null),B=n(null),[I,M]=o(""),N=()=>T(!1);x(A.current,(e=>{B.current!==e.target&&T(!1)}));const E=a((()=>""===I?g.filter((e=>e.name?.toLowerCase()!==t?.name?.toLowerCase())):g.filter((e=>e.name?.toLowerCase().includes(I.toLowerCase())))),[g,I,t]),G=a((()=>0===E.length&&g.length>1),[g.length,E.length]),O=a((()=>{if(t?.name)return t?.name?.charAt(0).toUpperCase()+t?.name?.slice(1)}),[t?.name]),P=a((()=>E.length>=4||""!==I),[E,I]);return void 0===t?null:e("div",{ref:F,children:[e(f,{variant:"ghost",ref:B,onClick:()=>T(!z),$isSelected:z,"data-testid":"field-selector-top-bar-button",$fieldSelector:!0,children:[i(d,{data:s,size:24}),O,i(d,{data:z?m:u})]}),i(v,{open:z,title:"Field Selection",onClose:N,anchorEl:B.current,contentPadding:!1,ref:A,children:e(r,{children:[e(L,{children:[P&&i(y,{children:i(c,{autoFocus:!0,placeholder:"Search fields",value:I,onChange:e=>{M(e.target.value)}})}),e(w,{children:[t&&!G&&""===I&&i(j,{$active:!0,children:e("div",{children:[i(q,{children:i(l,{variant:"h6",children:t.name?.toLowerCase()})}),i(d,{data:p,color:$.interactive.primary__resting.rgba,size:24})]})}),G?i(S,{children:i(k,{variant:"body_short",color:$.text.static_icons__tertiary.rgba,children:"No fields matching your search"})}):E.map((e=>i(C,{onClick:()=>{_(e),N()},children:i(q,{children:i(l,{variant:"h6",children:e.name?.toLowerCase()})})},e.uuid)))]})]}),b&&!G&&i(j,{"data-testid":"access-it-link",onClick:()=>window.open("https://accessit.equinor.com/#","_blank"),children:e("div",{children:[e(q,{children:[i(l,{variant:"overline",children:"Missing a field?"}),i(l,{variant:"h6",children:"Go to AccessIT"})]}),i(d,{data:h,color:$.interactive.primary__resting.rgba,size:24})]})})]})})]})}));F.displayName="FieldSelector";export{F as default};
