import{jsxs as e,Fragment as i,jsx as r}from"react/jsx-runtime";import{useState as o,useRef as n}from"react";import{Menu as t,Typography as a,Icon as l}from"@equinor/eds-core-react";import{filter_list as c,sort as d,checkbox as s,checkbox_outline as m}from"@equinor/eds-icons";import{tokens as p}from"../../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{SortNotification as h,FilterNotification as u}from"./NotificationsTemplate/Notifications.types.js";import g from"styled-components";const{spacings:f,colors:b,shape:_}=p,E=g(t.Item)`
  display: flex;
`,v=g.div`
  display: flex;
  gap: ${f.comfortable.small};
  padding: ${f.comfortable.medium};
`,k=g(t)`
  padding: ${f.comfortable.small} 0;
`,$=g.div`
  padding: ${f.comfortable.small} ${f.comfortable.large};
`,S=g.span`
  font-family: 'Equionor', sans-serif;
  font-size: 12px;
  border-radius: ${_.rounded.borderRadius};
  border: ${({$active:e})=>e?`solid 1px ${b.interactive.primary__selected_hover.rgba}`:`solid 1px ${b.ui.background__medium.rgba}`};
  background-color: ${({$active:e})=>e?b.interactive.primary__selected_highlight.rgba:b.ui.background__default.rgba};
  color: black;
  padding: ${f.comfortable.x_small} ${f.comfortable.small};
  display: flex;
  flex-direction: row;
  align-items: center;
  grid-gap: ${f.comfortable.small};
  cursor: pointer;
  &:hover {
    background: ${b.interactive.primary__selected_highlight.rgba};
  }

  > p {
    line-height: normal;
    height: min-content;
    font-size: 12px;
  }
  > svg {
    color: ${({$active:e})=>e?b.text.static_icons__default.rgba:b.interactive.primary__resting.rgba};
  }
`,C=({onFilter:t,onSort:p,sortMenuRef:g,filterMenuRef:f})=>{const[b,_]=o(!1),[C,N]=o(!1),x=n(null),y=n(null),[O,D]=o({[h.UNREAD]:!1,[h.OLD_NEWEST]:!1,[h.NEW_OLDEST]:!1}),[R,U]=o({[u.SYSTEM]:!1,[u.USER]:!1,[u.UNREAD]:!1}),M=()=>{_(!1)},T=()=>{N(!1)},A=e=>{t(R[e]?[]:[e]),U((i=>({...i,[e]:!i[e]})))},L=e=>{p(O[e]?[]:[e]),D((i=>({...i,[e]:!i[e]})))};return e(i,{children:[e(v,{children:[e(S,{onClick:()=>b?M():(_(!0),void N(!1)),ref:x,$active:b,children:[r(a,{group:"ui",variant:"chip__badge",children:"Filter by"}),r(l,{data:c,size:16})]}),e(S,{onClick:()=>C?T():(N(!0),void _(!1)),ref:y,$active:C,children:[r(a,{group:"ui",variant:"chip__badge",children:"Sort by"}),r(l,{data:d,size:16})]})]}),b&&e(k,{open:b,anchorEl:x.current,placement:"bottom-start",ref:f,onClose:M,children:[r($,{children:r(a,{group:"navigation",variant:"label",children:"Filter notifications"})}),e(E,{onClick:()=>A(u.USER),closeMenuOnClick:!1,children:[r(l,{data:R[u.USER]?s:m}),r(a,{children:" User messages "})]}),e(E,{onClick:()=>A(u.SYSTEM),closeMenuOnClick:!1,children:[r(l,{data:R[u.SYSTEM]?s:m}),r(a,{children:" System messages "})]}),e(E,{onClick:()=>A(u.UNREAD),closeMenuOnClick:!1,children:[r(l,{data:R[u.UNREAD]?s:m}),r(a,{children:" Unread "})]})]}),C&&e(k,{open:C,anchorEl:y.current,placement:"bottom-start",ref:g,onClose:T,children:[r($,{children:r(a,{group:"navigation",variant:"label",children:"Sort notifications"})}),e(E,{onClick:()=>L(h.NEW_OLDEST),closeMenuOnClick:!1,children:[r(l,{data:O[h.NEW_OLDEST]?s:m}),r(a,{children:" Newest to oldest "})]}),e(E,{onClick:()=>L(h.OLD_NEWEST),closeMenuOnClick:!1,children:[r(l,{data:O[h.OLD_NEWEST]?s:m}),r(a,{children:" Oldest to newest "})]}),e(E,{onClick:()=>L(h.UNREAD),closeMenuOnClick:!1,children:[r(l,{data:O[h.UNREAD]?s:m}),r(a,{children:" Unread"})]})]})]})};export{C as default};
