import{Dialog as o}from"@equinor/eds-core-react";import{tokens as i}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import t,{keyframes as e}from"styled-components";import{spacings as n}from"../../style/spacings.js";const{elevation:a,shape:r}=i,s=e`
  from {
    box-shadow: 0 0 0 9999px rgba(0, 0, 0, 0);
  }
  to {
    box-shadow: 0 0 0 9999px rgba(0, 0, 0, 0.3);
  }

`,d=t.div`
  position: absolute;
  z-index: 10000;
  pointer-events: none;
  transition: top, left, width, height;
  transition-duration: 300ms;
  border-radius: 4px;
  animation: ${s} 300ms;
  animation-fill-mode: forwards;
`,p=t.div`
  position: absolute;
  right: 24px;
  bottom: 24px;
  background: transparent;
`,m=e`
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }

`,l=t.dialog`
  border: none;
  box-shadow: ${a.above_scrim};
  border-radius: ${r.corners.borderRadius};
  transition: all;
  transition-duration: 300ms;
  animation: ${m} 300ms;
  animation-fill-mode: forwards;
  &::backdrop {
    background: transparent;
  }
`,x=t.div`
  display: flex;
  flex-direction: column;
  gap: ${n.large};
  width: 300px;
`,f=t.img`
  max-height: 300px;
  min-height: 50px;
  object-fit: contain;
`,c=t.div`
  display: flex;
  justify-content: space-between;
`,b=t.div`
  display: flex;
  gap: ${n.medium};
`,g=t(o)`
  width: 300px;
  height: fit-content;
  display: flex;
  flex-direction: column;
  padding: ${n.medium};
  gap: ${n.large};
  button {
    align-self: flex-end;
  }
`;export{c as DialogActions,x as DialogContent,f as DialogImage,p as DialogWrapper,d as Highlighter,b as NavigateSteps,l as StyledTutorialDialog,g as TutorialErrorDialog};
