import type { CancelablePromise } from '../core/CancelablePromise';
export declare class ReleaseNotesService {
    /**
     * @param applicationName
     * @param version
     * @param tags
     * @returns any Success
     * @throws ApiError
     */
    static getReleasenoteList(applicationName?: string, version?: string, tags?: Array<string>): CancelablePromise<any>;
    /**
     * @returns any Success
     * @throws ApiError
     */
    static getMyReleasenotes(): CancelablePromise<any>;
    /**
     * @param applicationName
     * @param releaseId
     * @returns any Success
     * @throws ApiError
     */
    static getReleasenote(applicationName: string, releaseId: string): CancelablePromise<any>;
    /**
     * @returns string Success
     * @throws ApiError
     */
    static getContainerSasUri(): CancelablePromise<string>;
}
