import { FC } from 'react';
interface ContentMenuItemType {
    label: string;
    value: string;
    children?: ContentMenuItemType[];
}
export interface ContentMenuProps {
    items: ContentMenuItemType[];
    value: string;
    onChange: (value: string) => void;
    isLoading?: boolean;
}
declare const ContentMenu: FC<ContentMenuProps>;
export default ContentMenu;
