import { FC } from 'react';
import { OnImageUploadFn, RichTextEditorFeatures } from './RichTextEditor.types';
export interface RichTextEditorProps {
    value: string | null | undefined;
    onChange: (value: string) => void;
    onImageUpload?: OnImageUploadFn;
    placeholder?: string;
    features?: RichTextEditorFeatures[];
    extendFeatures?: RichTextEditorFeatures[];
    removeFeatures?: RichTextEditorFeatures[];
    padding?: 'sm' | 'md' | 'lg' | 'none';
    maxHeight?: string;
    lightBackground?: boolean;
    border?: boolean;
}
declare const RichTextEditor: FC<RichTextEditorProps>;
export default RichTextEditor;
