import { HTMLAttributes } from 'react';
import { IconData } from '@equinor/eds-icons';
export interface MenuItemType {
    icon: IconData;
    name: string;
    link: string;
    onClick?: () => void;
    replace?: boolean;
}
export type MenuItemProps = {
    currentUrl?: string;
    disabled?: boolean;
} & MenuItemType & HTMLAttributes<HTMLAnchorElement>;
declare const MenuItem: import("react").ForwardRefExoticComponent<{
    currentUrl?: string;
    disabled?: boolean;
} & MenuItemType & HTMLAttributes<HTMLAnchorElement> & import("react").RefAttributes<HTMLAnchorElement>>;
export default MenuItem;
