import { FileWithPath } from 'react-dropzone';
import { FeedbackContentType, FeedbackType, UrgencyOption } from './Feedback.types';
import { ServiceNowUrgency } from 'src/api';
export declare const readUploadedFileAsText: (inputFile: FileWithPath) => Promise<string>;
export declare const getUrgencyNumber: (urgency: UrgencyOption) => ServiceNowUrgency;
export declare const createServiceNowDescription: (feedbackContent: FeedbackContentType, field: string | undefined) => string;
export declare const createServiceNowUrl: (sysId: string, selfService?: boolean) => string;
export declare const getBrowserInfo: () => string;
export declare const createSlackMessage: (feedbackContent: FeedbackContentType, field?: string, selectedType?: FeedbackType, email?: string, sysId?: string | null) => string;
