import { FC, ReactNode } from 'react';
import { Feature, GraphUser } from '../api';
export declare const isUserInActiveUserArray: (username: string, activeUsers: GraphUser[] | undefined | null) => boolean;
interface FeatureToggleContextType {
    isLoading: boolean;
    isError: boolean;
    features?: Feature[] | null;
}
export declare function useFeatureToggleContext(): FeatureToggleContextType;
interface FeatureToggleProviderProps {
    children: ReactNode;
}
declare const FeatureToggleProvider: FC<FeatureToggleProviderProps>;
export default FeatureToggleProvider;
