import { Dispatch, FC, ReactNode, SetStateAction } from 'react';
import { ReleaseNote } from 'src/api/models/ReleaseNote';
import { Option, SieveValue } from 'src/components';
import { TableOfContentsItemType } from 'src/providers/TableOfContentsProvider';
interface ReleaseNotesContextState {
    search: SieveValue;
    setSearch: Dispatch<SetStateAction<SieveValue>>;
    selectedReleaseNoteTypes?: Option[];
    open: boolean;
    setOpen: (open: boolean) => void;
    toggle: () => void;
    filteredData: ReleaseNote[];
    releaseNotesYears: TableOfContentsItemType[];
}
export declare const useReleaseNotes: () => ReleaseNotesContextState;
interface ReleaseNotesContextProviderProps {
    children: ReactNode;
    enabled?: boolean;
}
declare const ReleaseNotesProvider: FC<ReleaseNotesContextProviderProps>;
export default ReleaseNotesProvider;
