import { ReleaseNote } from 'src/api/models/ReleaseNote';
import { TableOfContentsItemType } from 'src/providers/TableOfContentsProvider';
interface MonthData {
    label: string;
    value: Date;
}
interface YearData {
    label: string;
    value: string;
    months: MonthData[];
}
declare const extractDatesFromReleaseNotes: (releaseNotes: ReleaseNote[]) => TableOfContentsItemType[];
declare const monthValueToString: (monthValue: Date) => string;
declare const monthToString: (monthValue: Date) => string;
declare const yearValueToString: (yearValue: Date) => string;
declare const sortReleaseNotesByDate: (notes: ReleaseNote[]) => ReleaseNote[];
export type { MonthData, YearData };
export { extractDatesFromReleaseNotes, monthToString, monthValueToString, sortReleaseNotesByDate, yearValueToString, };
